ReloadableDefinitionsFactory.ServletPropertiesMap (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.definition.ReloadableDefinitionsFactory.ServletPropertiesMap,ReloadableDefinitionsFactory.ServletPropertiesMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.definition
Class ReloadableDefinitionsFactory.ServletPropertiesMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--java.util.HashMap
                  |
                  +--org.apache.struts.tiles.definition.ReloadableDefinitionsFactory.ServletPropertiesMap

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

Enclosing class:
  ReloadableDefinitionsFactory

class ReloadableDefinitionsFactory.ServletPropertiesMap
extends java.util.HashMap

Inner class. Wrapper for ServletContext init parameters. Object of this class is an HashMap containing parameters and values defined in the servlet config file (web.xml).

Field Summary

Fields inherited from class java.util.HashMap
``

Fields inherited from class java.util.AbstractMap
``

Constructor Summary
`(package private)` | `ReloadableDefinitionsFactory.ServletPropertiesMap(javax.servlet.ServletConfig config)` Constructor.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ReloadableDefinitionsFactory.ServletPropertiesMap

    ReloadableDefinitionsFactory.ServletPropertiesMap(javax.servlet.ServletConfig config)

  Constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation